Avoid node on ppc64le+debian buster, rework Travis for now
diff --git a/.travis.yml b/.travis.yml
index c8e2c56..bc8636a 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -14,30 +14,34 @@
   matrix:
     - PLATFORM=debian-stretch TARGET=base
     - PLATFORM=debian-stretch TARGET=platform
-    - PLATFORM=debian-stretch TARGET=couch
-    - PLATFORM=aarch64-debian-stretch TARGET=base
+    - CONTAINERARCH=ppc64le PLATFORM=debian-stretch TARGET=base
+    #- PLATFORM=debian-stretch TARGET=couch
     # too slow!
     #- ERLANGVERSION=20.3.8.20 PLATFORM=aarch64-debian-stretch TARGET=platform
     #- ERLANGVERSION=20.3.8.20 PLATFORM=aarch64-debian-stretch TARGET=couch
     - PLATFORM=debian-buster TARGET=base
-    - ERLANGVERSION=20.3.8.22-1 PLATFORM=debian-buster TARGET=platform
-    - ERLANGVERSION=20.3.8.22-1 PLATFORM=debian-buster TARGET=couch
+    - PLATFORM=debian-buster TARGET=platform
+    #- ERLANGVERSION=20.3.8.22-1 PLATFORM=debian-buster TARGET=couch
+    - CONTAINERARCH=amd64v8 PLATFORM=debian-buster TARGET=base
     - PLATFORM=ubuntu-xenial TARGET=base
     - PLATFORM=ubuntu-xenial TARGET=platform
-    - PLATFORM=ubuntu-xenial TARGET=couch
+    #- PLATFORM=ubuntu-xenial TARGET=couch
     - PLATFORM=ubuntu-bionic TARGET=base
     - PLATFORM=ubuntu-bionic TARGET=platform
-    - PLATFORM=ubuntu-bionic TARGET=couch
-    - PLATFORM=centos-6 TARGET=base
-    - PLATFORM=centos-6 TARGET=platform
-    - PLATFORM=centos-6 TARGET=couch
+    #- PLATFORM=ubuntu-bionic TARGET=couch
+    #- PLATFORM=centos-6 TARGET=base
+    #- PLATFORM=centos-6 TARGET=platform
+    #- PLATFORM=centos-6 TARGET=couch
     - PLATFORM=centos-7 TARGET=base
     - PLATFORM=centos-7 TARGET=platform
-    - PLATFORM=centos-7 TARGET=couch
+    #- PLATFORM=centos-7 TARGET=couch
+    - PLATFORM=centos-8 TARGET=base
+    - PLATFORM=centos-8 TARGET=platform
+    #- PLATFORM=centos-8 TARGET=couch
 
 before_install:
   - docker --version
   - docker run --rm --privileged multiarch/qemu-user-static:register --reset
 
 script:
-  - ERLANGVERSION=${ERLANGVERSION:-19.3.6} ./build.sh ${TARGET} ${PLATFORM}
+  - CONTAINERARCH=${CONTAINERARCH} ERLANGVERSION=${ERLANGVERSION} ./build.sh ${TARGET} ${PLATFORM}
diff --git a/bin/apt-dependencies.sh b/bin/apt-dependencies.sh
index 6ad2100..a1c5da1 100755
--- a/bin/apt-dependencies.sh
+++ b/bin/apt-dependencies.sh
@@ -79,34 +79,36 @@
     vim-tiny screen \
 
 # Node.js
-pushd /tmp
-wget https://deb.nodesource.com/setup_${NODEVERSION}.x
-/bin/bash setup_${NODEVERSION}.x
-apt-get install -y nodejs
-rm setup_${NODEVERSION}.x
-if [ -z "$(which node)" ]; then
-  # extracting the right version to dl is a pain :(
-  node_filename="$(curl -s https://nodejs.org/dist/latest-v${NODEVERSION}.x/SHASUMS256.txt | grep linux-${ARCH}.tar.gz | cut -d ' ' -f 3)"
-  wget https://nodejs.org/dist/latest-v${NODEVERSION}.x/${node_filename}
-  tar --directory=/usr --strip-components=1 -xzf ${node_filename}
-  rm ${node_filename}
-  # then, fake a package install
-  cat << EOF > nodejs-control
+if [ "${ARCH}" != "ppc64le" ] || [ "${VERSION_CODENAME}" != "buster" ]; then
+  pushd /tmp
+  wget https://deb.nodesource.com/setup_${NODEVERSION}.x
+  /bin/bash setup_${NODEVERSION}.x
+  apt-get install -y nodejs
+  rm setup_${NODEVERSION}.x
+  if [ -z "$(which node)" ]; then
+    apt-get purge -y nodejs || true
+    # extracting the right version to dl is a pain :(
+    node_filename="$(curl -s https://nodejs.org/dist/latest-v${NODEVERSION}.x/SHASUMS256.txt | grep linux-${ARCH}.tar.gz | cut -d ' ' -f 3)"
+    wget https://nodejs.org/dist/latest-v${NODEVERSION}.x/${node_filename}
+    tar --directory=/usr --strip-components=1 -xzf ${node_filename}
+    rm ${node_filename}
+    # then, fake a package install
+    cat << EOF > nodejs-control
 Section: misc
 Priority: optional
 Standards-Version: 3.9.2
 Package: nodejs
 Provides: nodejs
-Version: ${NODEVERSION}.0.0
+Version: ${NODEVERSION}.99.99
 Description: Fake nodejs package to appease package builder
 EOF
-  equivs-build nodejs-control
-  apt install -y ./nodejs*.deb
-  rm nodejs-control nodejs*deb
+    equivs-build nodejs-control
+    apt-get install -y ./nodejs*.deb
+    rm nodejs-control nodejs*deb
+  fi
+  npm install npm@latest -g
+  popd
 fi
-npm install npm@latest -g
-popd
-
 # fix for broken sphinx on ubuntu 12.04 only
 if [[ ${VERSION_CODENAME} == "precise" ]]; then
   pip3 --default-timeout=1000 install docutils==0.13.1 sphinx==1.5.3 typing